export const csvUrl = [
  'https://gist.githubusercontent.com/',
  'curran/', // User
  'a08a1080b88344b0c8a7/', // Id of the Gist
  'raw/0e7a9b0a5d22642a06d3d5b9bcbad9890c8ee534/', // commit
  'iris.csv', // File name
].join('');
export const parseRow = (d) => {
  d.sepal_length = +d.sepal_length;
  d.sepal_width = +d.sepal_width;
  d.petal_length = +d.petal_length;
  d.petal_width = +d.petal_width;
  return d;
};

export const options = [
    { value: 'petal_width', text: 'Petal Width' },
    { value: 'sepal_width', text: 'Sepal Width' },
    { value: 'petal_length', text: 'Petal Length' },
    { value: 'sepal_length', text: 'Sepal Length' },
    { value: 'species', text: 'Species' }
  ];

// {
//   "columns": [
//     { "name": "sepal_length", "type": "number", "label": "Sepal Length" },
//     { "name": "sepal_width",  "type": "number", "label": "Sepal Width" },
//     { "name": "petal_length", "type": "number", "label": "Petal Length" },
//     { "name": "petal_width",  "type": "number", "label": "Petal Width" },
//     { "name": "species",      "type": "string", "label": "Species" }
//   ]
// }